import {
    DODAJ_TALIE,
    DODAJ_KARTE,
    POWTORKA_TALIE,
    KONIEC_POWTORKI,
    NASTEPNA_POWTORKA,
    ZALADUJ_DANE
} from "./typy";

import Karta from "../dane/Karta";
import Talia from "../dane/Talia";

export const dodajTalie = nazwa => {
    return {type: DODAJ_TALIE, dane: new Talia(nazwa)};
};

export const dodajKarte = (przod, tyl, idTalii) => {
    return {type: DODAJ_KARTE, dane: new Karta(przod, tyl, idTalii)};
};

export const powtorkaTalii = idTalii => {
    return {type: POWTORKA_TALIE, dane: {idTalii: idTalii}};
};

export const koniecPowtorki = () => {
    return {type: KONIEC_POWTORKI, dane: {}};
};

export const nastepnaPowtorka = () => {
    return {type: NASTEPNA_POWTORKA, dane: {}};
};

export const zaladujDane = dane => {
    return {type: ZALADUJ_DANE, dane: dane};
};
